package net.northking.cctp.element.desktop.dto;

import java.io.Serializable;

/**
 * <p>Title: VariableDto</p>
 * <p>Description: 参数对象</p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2022/10/19
 * <p>Copyright: NorthKing@RPA（C）2020 版权</p>
 */

public class VariableDto implements Serializable {

    private String name;

    private String desc;

    private String type;

    private String defaultValue;

    private String value;

    private String input;

    private String output;

    private String[] quoted;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getInput() {
        return input;
    }

    public void setInput(String input) {
        this.input = input;
    }

    public String getOutput() {
        return output;
    }

    public void setOutput(String output) {
        this.output = output;
    }

    public String[] getQuoted() {
        return quoted;
    }

    public void setQuoted(String[] quoted) {
        this.quoted = quoted;
    }
}
